Homepage | Products | OX Knowledge Base | Support | Try Now | Contact | Company
OX Logo
Results 1 to 6 of 6
  1. #1
    Join Date
    Feb 2007
    Location
    Germany
    Posts
    3,695

    Default Quick installation script

    Hi all,

    i wrote a quick installation script for Open-Xchange Server 6. This one allows to executed unattended installation as well as a simple question-answer mode. It's designed to work around common pitfalls and allow rapid deployment.

    Right now it supports Debian, SLES and RHEL but it can be extended to many more distributions. Feel free to use, modify, distribute and send feedback about it.

    http://www.open-xchange.com/wiki/ind...install_script

    Greetings

  2. #2
    slider Guest

    Default

    Good morning,

    I have tested your script on a debian 5 serveur (at home) during the installation all is ok.
    After installation I going on the web page http://myserver/ox6
    and the logging page appareted, after user et pswd enter a pop up appareted with " ERROR 404"

    I don't understand where is the probleme, if some one have a solution because I would like use OX6 but during the last month all test are FAIL.

    Many thanks for help.

    Slider

  3. #3
    Join Date
    Feb 2007
    Location
    Germany
    Posts
    3,695

    Default

    Hi,

    this might be related to configure apache2. Please check if the proxy_ajp module has been loaded to apache correctly and the /etc/apache2/conf.d/proxy_ajp.conf exists. The 404 should also be logged to the apache error log, you might post this details as well.

    Greetings

  4. #4
    slider Guest

    Default

    hello and my best wishes for 2010 everyone.

    sorry for the delay, I finally find my mistakes.
    misconfiguration of tomcat and java, finally the installation works.

    Slider

  5. #5
    fernandoc Guest

    Default

    Hola,
    I am using ubuntu 9.10 server (64-bit).
    I was giving a it a try... I got this:

    This installer supports:
    * Debian GNU/Linux 4.0 (Etch)
    * Debian GNU/Linux 5.0 (Lenny)
    * Novell SuSE Linux Enterprise Server 10 (SLES10)
    * Novell SuSE Linux Enterprise Server 11 (SLES11)
    * RedHat Enterprise Linux 5.0 (RHEL5)

    Will it be possible for you to modify it to make it work under Ubuntu 9.10, I was using the manual install but I get a problem with:
    sudo /opt/open-xchange/sbin/registerserver -n oxserver -A oxadminmaster -P ********
    I get this:
    Exception in thread "main" java.lang.UnsupportedClassVersionError: Bad version number in .class file
    at java.lang.ClassLoader.defineClass1(Native Method)
    at java.lang.ClassLoader.defineClass(ClassLoader.java :620)
    at java.security.SecureClassLoader.defineClass(Secure ClassLoader.java:124)
    at java.net.URLClassLoader.defineClass(URLClassLoader .java:260)
    at java.net.URLClassLoader.access$100(URLClassLoader. java:56)
    at java.net.URLClassLoader$1.run(URLClassLoader.java: 195)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.net.URLClassLoader.findClass(URLClassLoader.j ava:188)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:3 06)
    at sun.misc.Launcher$AppClassLoader.loadClass(Launche r.java:268)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:2 51)
    at java.lang.ClassLoader.loadClassInternal(ClassLoade r.java:319)
    Thanks,
    Fernando
    Lima, Perú
    Last edited by fernandoc; 01-13-2010 at 07:33 PM.

  6. #6
    Join Date
    Feb 2007
    Location
    Germany
    Posts
    3,695

    Default

    Hi Fernando,

    well you're free to add ubuntu support and send patches. It works fine on the supported platforms. Right now i don't have the time to add more distros.

    Greetings

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •